com.ihr.xbrl.om.formula.functions

## Class XFI_concept_relationships

- java.lang.Object
- - net.sf.saxon.expr.Expression
  - - net.sf.saxon.expr.FunctionCall
    - - com.ihr.xbrl.om.formula.functions.XFFunction
      - - com.ihr.xbrl.om.formula.functions.XFFunctionMultiArguments
        - - com.ihr.xbrl.om.formula.functions.XFI_concept_relationships

- All Implemented Interfaces:
    java.io.Serializable, javax.xml.transform.SourceLocator, net.sf.saxon.event.LocationProvider, net.sf.saxon.event.SaxonLocator, net.sf.saxon.trace.InstructionInfo, org.xml.sax.Locator

      public class XFI_concept_relationships
      extends XFFunctionMultiArguments

  xfi:relationship.type*=xfi:concept-relationships(xs:QName, xs:string?, xs:string, xs:string, xs:nonNegativeInteger?, xs:QName?, xs:QName?)
  Author:
    Ignacio
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `XFI_concept_relationships.Axis` The Enum Axis.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static javax.xml.namespace.QName` | `root` The Constant root.

    - ### Fields inherited from class net.sf.saxon.expr.Expression

      `EFFECTIVE_BOOLEAN_VALUE, EVALUATE_METHOD, EVENT_FEED_METHOD, ITEM_FEED_METHOD, ITERATE_METHOD, MAX_SEQUENCE_LENGTH, MAX_STRING_LENGTH, PROCESS_METHOD, PUSH_SELECTION, UNBOUNDED_LOWER, UNBOUNDED_UPPER, WATCH_METHOD`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XFI_concept_relationships()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `checkArguments(net.sf.saxon.expr.parser.ExpressionVisitor visitor)` Method called during static type checking.
    `net.sf.saxon.om.SequenceIterator<? extends net.sf.saxon.om.Item<?>>` | `iterate(net.sf.saxon.expr.XPathContext context)`

    - ### Methods inherited from class com.ihr.xbrl.om.formula.functions.XFFunctionMultiArguments

      `iterateSubExpressions, preEvaluate, setArguments, simplify, typeCheck`

    - ### Methods inherited from class com.ihr.xbrl.om.formula.functions.XFFunction

      `addDocToPathMap, computeCardinality, computeSpecialProperties, copy, getDetails, getErrorCodeForTypeErrors, getFormulaProcessor, getItemType, makeSystemFunction, optimize, setDetails, setFormulaProcessor`

    - ### Methods inherited from class net.sf.saxon.expr.FunctionCall

      `addExternalFunctionCallToPathMap, equals, explain, getArguments, getDisplayName, getExpressionName, getFunctionName, getNumberOfArguments, hashCode, promote, replaceSubExpression, setFunctionName, toString`

    - ### Methods inherited from class net.sf.saxon.expr.Expression

      `addToPathMap, adoptChildExpression, checkForUpdatingSubexpressions, checkPermittedContents, computeDependencies, computeStaticProperties, doPromotion, effectiveBooleanValue, evaluateAsString, evaluateItem, evaluatePendingUpdates, explain, getCardinality, getColumnNumber, getColumnNumber, getConstructType, getContainer, getDependencies, getEvaluationMethod, getExecutable, getHostLanguage, getImplementationMethod, getIntegerBounds, getIntrinsicDependencies, getLineNumber, getLineNumber, getLocationId, getLocationProvider, getObjectName, getProperties, getProperty, getPublicId, getSlotsUsed, getSpecialProperties, getSystemId, getSystemId, hasLoopingSubexpression, hasVariableBinding, implementsStaticTypeCheck, isSubtreeExpression, isUpdatingExpression, isVacuousExpression, iterateEvents, iterateSameFocusSubExpressions, markTailFunctionCalls, process, resetLocalStaticProperties, setContainer, setEvaluationMethod, setFiltered, setFlattened, setLocationId, staticTypeCheck, suppressValidation`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### root

          public static final javax.xml.namespace.QName root

      The Constant root.

  - ### Constructor Detail

    - #### XFI_concept_relationships

          public XFI_concept_relationships()

  - ### Method Detail

    - #### checkArguments

          public void checkArguments(net.sf.saxon.expr.parser.ExpressionVisitor visitor)
                              throws net.sf.saxon.trans.XPathException

      Description copied from class: `XFFunction`
      Method called during static type checking.
      Specified by:
        `checkArguments` in class `XFFunctionMultiArguments`
      Parameters:
        `visitor` - the visitor
      Throws:
        `net.sf.saxon.trans.XPathException` - the x path exception

    - #### iterate

          public net.sf.saxon.om.SequenceIterator<? extends net.sf.saxon.om.Item<?>> iterate(net.sf.saxon.expr.XPathContext context)
                                                                                      throws net.sf.saxon.trans.XPathException

      Overrides:
        `iterate` in class `net.sf.saxon.expr.Expression`
      Throws:
        `net.sf.saxon.trans.XPathException`